Theli gui 2.9.2 mit Scientific Linux 6.4 (RHEL/CENTOS 6.4)

Linux (Theli bezogen), Theli, GUI und Hilfsprogramme.
Forumsregeln
Bitte die Beiträge kurz fassen, so kann man sie nachher besser finden. Sollte ein Problem gelöst sein, dann einen neuen Beitrag eröffnen. Ebenso wenn die Ursache eine ganz andere ist, oder es Offtopic wird.

Theli gui 2.9.2 mit Scientific Linux 6.4 (RHEL/CENTOS 6.4)

Beitragvon peter » Mittwoch 28. Mai 2014, 12:07

Hallo Zusammen

Ich benutze Theli seit einiger Zeit unter SL 6.4. Die aktuelle Version kompiliert aber nicht mehr. Folgende Korrekturen helfen jedoch:

1) fitsio wird nicht gefunden: packages/fitstools-1.0.tgz wie folgt anpassen:

cd gui-2.9.2/packages
mkdir x
cd x
tar xzf ../fitstools-1.0.tgz

Dann die Dateien fitstools-1.0/Makefile, fitstools-1.0/fftw/Makefile, fitstools-1.0/tiff/Makefile wie folgt anpassen:
INCLUDE_DIRS := /usr/include/cfitsio /usr/include/CCfits ./include

Und wieder einpacken
tar czf ../fitstools-1.0.tgz fitstools-1.0

Wer die Anpassung nicht selbst machen kann oder möchte kann die Original fitstool-1.0.tgz durch die angehängte Version ersetzen.

2) Nach dieser Änderung bekomme ich noch diesen Fehler:

g++ -std=c++0x -fopenmp -Wall -Wextra -pedantic -Wno-deprecated -O3 -I/usr/include/cfitsio -I/usr/include/CCfits/ -I./include -I../include -c -o fitsgauss.o fitsgauss.cc
make[1]: Leaving directory `/home/theli/gui-2.9.2/packages/fitstools-1.0/fftw'
fitsgauss.cc: In function ‘int main(int, char**)’:
fitsgauss.cc:113: error: ‘fftw_import_wisdom_from_filename’ was not declared in this scope

Diese Funktion existiert in der mit Scientific Linux gelieferten Version von FFTW nicht (fftw-3.2.1-3.1), sondern erst ab FFTW Version 3.3!
Nach der Installation der aktuellen Quellversion 3.4 von http://www.fftw.org kann auch Theli kompiliert werden. Eine kompilierte Version (auch das Source RPM) kann hier heruntergeladen werden:
http://www.aguz-beobachter.ch/fftw-fuer-theli/

Benötigt wird eventuell auch die dort abgelegte Version von cfitsio und CCfits.

Gruss, Peter
Du hast keine ausreichende Berechtigung, um die Dateianhänge dieses Beitrags anzusehen.
peter
 
Beiträge: 4
Registriert: Sonntag 20. Januar 2013, 16:36

Re: Theli gui 2.9.2 mit Scientific Linux 6.4 (RHEL/CENTOS 6.

Beitragvon mischa » Mittwoch 28. Mai 2014, 14:39

Hi Peter,

vielen Dank fuer diese Hinweise, bin immer daran interessiert wenn es auf bestimmten Distris nicht funktioniert. Der Versionskonflikt mit FFTW war mir nicht bekannt.

Danke!

mischa
mischa
Moderator
 
Beiträge: 971
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: Theli gui 2.9.2 mit Scientific Linux 6.4 (RHEL/CENTOS 6.

Beitragvon peter » Mittwoch 28. Mai 2014, 15:25

Hallo Mischa

Gern geschehen! Und ebenfalls Danke für Theli!
Eventuell baue ich noch RPMs für Theli selbst. Die meisten Anwender sind wahrscheinlich keine regulären Linuxbenutzer und sind auf fertige Software angewiesen.

Gruss, Peter
peter
 
Beiträge: 4
Registriert: Sonntag 20. Januar 2013, 16:36


Zurück zu Installation und Ubuntheli

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste

cron